<?php
/**
 * @package adle
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header page-header">

		<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php adle_posted_on(); ?><?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="comments-link"><i class="fa fa-comment-o"></i><?php comments_popup_link( __( 'Leave a comment', 'adle' ), __( '1 Comment', 'adle' ), __( '% Comments', 'adle' ) ); ?></span>
		<?php endif; ?>

		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				$categories_list = get_the_category_list( __( ', ', 'adle' ) );
				if ( $categories_list && adle_categorized_blog() ) :
			?>
			<span class="cat-links"><i class="fa fa-folder-open-o"></i>
				<?php printf( __( ' %1$s', 'adle' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>
		<?php endif; // End if 'post' == get_post_type() ?>

		<?php edit_post_link( __( 'Edit', 'adle' ), '<i class="fa fa-pencil-square-o"></i><span class="edit-link">', '</span>' ); ?>

		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
		<p><a class="btn btn-default read-more" href="<?php the_permalink(); ?>"><?php _e( 'Continue reading', 'adle' ); ?> <i class="fa fa-chevron-right"></i></a></p>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
	<?php if ( has_post_thumbnail()) : ?>
	<?php 
$answer = get_option('adle_theme_options')['post_thumbs'];  
if ($answer == "lthumbs") { ?>
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
		 	<?php the_post_thumbnail( "adle-featured", array( "class" => "thumbnail" )); ?>
		</a>
<?php }
else { ?>
     <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
		 	<?php the_post_thumbnail( "adle-thumbs", array( "class" => "pull-left thumbs thumbnail" )); ?>
		</a>
<?php }          
?>	
		
		<div class="post_excerpt">
			<?php the_excerpt(); ?>
		</div>
		<?php else : ?>
			<?php the_excerpt(); ?>
		<?php endif; ?>
		
		<div class="clearfix"></div>
		
		<div class="readmore">
		<div class="home-tags col-md-8"><i class="fa fa-tags"></i>  <?php the_tags( '', ', ', '<br />' ); ?> </div>
		<div class="home-more col-md-4">
		<a class="btn btn-lg btn-default read-more" href="<?php the_permalink(); ?>"><?php _e( 'Continue reading', 'adle' ); ?> <i class="fa fa-chevron-right"></i></a>
		</div>
		</div>
		<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"></a>


		<?php
			wp_link_pages( array(
				'before'            => '<div class="page-links">'.__( 'Pages:', 'adle' ),
				'after'             => '</div>',
				'link_before'       => '<span>',
				'link_after'        => '</span>',
				'pagelink'          => '%',
				'echo'              => 1
       		) );
    	?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<hr class="section-divider">
</article><!-- #post-## -->
