<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package adle
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
<?php
//get theme options
$options = get_option('adle_theme_options'); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hreddit site">

<script type="text/javascript">
var $swp = jQuery.noConflict();
$swp(document).ready(function () {

var menu = $swp('.mynavebar');
var origOffsetY = menu.offset().top;

function scroll() {
    if ($swp(window).scrollTop() >= origOffsetY) {
        $swp('.mynavebar').addClass('navbar-fixed-top');
        $j('.content').addClass('menu-padding');
    } else {
        $swp('.mynavebar').removeClass('navbar-fixed-top');
        $swp('.content').removeClass('menu-padding');
    }


   }

  document.onscroll = scroll;

});
</script>
<div class="container header">
<div class="row">
  <div class="site-logo col-md-8">
    <h1><?php if( get_header_image() != '' ) : ?>

					<div id="logo" class="header-logo">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php header_image(); ?>"  height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo( 'name' ); ?>"/></a>
					</div><!-- end of #logo -->

				<?php endif; // header image was removed ?>

				<?php if( !get_header_image() ) : ?>

					<div id="logo" class="header-logo">
						<span class="site-title"><a class="" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
					</div><!-- end of #logo -->
            <?php $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : ?>
                    <p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
            <?php
            endif; ?>

				<?php endif; // header image was removed (again) ?></h1>
  </div>
  
		<nav class="col-md-4 social-menu"> <!-- .social menu -->
		<?php if (!$options['facebook'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['facebook'] ); ?>"><i class="fa fa-facebook"></i></a>
		<?php } ?>
		<?php if (!$options['twitter'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['twitter'] ); ?>"><i class="fa fa-twitter"></i></a>
		<?php } ?>
		<?php if (!$options['googleplus'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['googleplus'] ); ?>"><i class="fa fa-google-plus"></i></a>
		<?php } ?>
		<?php if (!$options['youtube'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['youtube'] ); ?>"><i class="fa fa-youtube"></i></a>
		<?php } ?>
		<?php if (!$options['linkedin'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['linkedin'] ); ?>"><i class="fa fa-linkedin"></i></a>
		<?php } ?>
		<?php if (!$options['pinterest'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['pinterest'] ); ?>"><i class="fa fa-pinterest"></i></a>
		<?php } ?>
		<?php if (!$options['instagram'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['instagram'] ); ?>"><i class="fa fa-instagram"></i></a>
		<?php } ?>
		<?php if (!$options['dribbble'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['dribbble'] ); ?>"><i class="fa fa-dribbble"></i></a>
		<?php } ?>
		<?php if (!$options['reddit'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['reddit'] ); ?>"><i class="fa fa-reddit"></i></a>
		<?php } ?>
		<?php if (!$options['rss'] == ''){ ?>
			<a href="<?php global $adle_theme_options; echo esc_attr( $options['rss'] ); ?>"><i class="fa fa-rss"></i></a>
		<?php } ?>		
	</nav> <!-- /.social menu -->
  </div>
</div>

<?php 
$answer = get_option('adle_theme_options')['navbar_checkbox'];  
if ($answer == "on") { ?>
<nav id="navbar_top" class="navbar navbar-default mynavebar" role="navigation">
  <div class="container">
	<div class="navbar-header">
			  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
			    <span class="sr-only"><?php _e( 'Toggle navigation', 'adle' ); ?></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			  </button>
			  
			</div>   
	<div class="col-md-8" id="myNavbar">
      <?php adle_header_menu(); ?>
      
    </div>
	<div class="nav navbar-nav navbar-right col-md-4 hidden-xs hidden-sm">
<form class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" size="34" name="s" class="form-control" placeholder="Search...">
        </div>
        <button type="submit" class="btn btn-default">Submit</button>
      </form>
      </div>
  </div>
</nav><!-- .site-navigation -->
<?php }
else { ?>
 <nav id="navbar_top" class="navbar navbar-default" role="navigation">
  <div class="container">
	<div class="navbar-header">
			  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
			    <span class="sr-only"><?php _e( 'Toggle navigation', 'adle' ); ?></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			  </button>
			  
			</div>   
	<div class="col-md-8" id="myNavbar">
      <?php adle_header_menu(); ?>
      
    </div>
	<div class="nav navbar-nav navbar-right col-md-4 hidden-xs hidden-sm">
<form class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" size="34" name="s" class="form-control" placeholder="Search...">
        </div>
        <button type="submit" class="btn btn-default">Submit</button>
      </form>
      </div>
  </div>
</nav><!-- .site-navigation -->
<?php }          
?>



		 <div class="top-section">
		 <?php 
$answer = get_option('adle_theme_options')['slider_checkbox'];  
if ($answer == "on") { ?>
<?php
if (is_front_page() || is_home()) { ?>

<div class="slider-container" id="caption-slide"> <!-- .homepage slider -->
	<div class="slider">
	
<?php query_posts('cat='.get_option('adle_theme_options')['slider_category_select'].''); if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<?php static $count = 0;
if ($count == get_option('adle_theme_options')['slider_post_count']) { break; }
else { ?>
 <?php if ( has_post_thumbnail() ) { ?>
    
	<div class="slide">
	<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
        <?php the_post_thumbnail('adle-slider'); ?>
		<span class="caption"><h2><?php the_title(); ?></h2></span>
		</a>
		</div> 
 <?php } else { ?>

 <?php } ?>
<?php $count++; } ?>
<?php endwhile; ?>
<?php endif; wp_reset_query(); ?>
	</div>

	<div class="switch" id="prev"><span></span></div>
	<div class="switch" id="next"><span></span></div>
</div> <!-- /.homepage slider -->

<?php } ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-1.11.3.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/inc/js/slider.js"></script>
<script>
	$("#slider-container").sliderUi({
		speed: 500,
		cssEasing: "cubic-bezier(0.285, 1.015, 0.165, 1.000)"
	});
	$("#caption-slide").sliderUi({
		caption: true
	});
</script>
<?php }          
?>
		 <!-- add anything here below slider -->
        </div>
        <div id="content" class="site-content container"> <!-- #content -->

            <div class="container main-content-area"><?php

                global $post;
                if( get_post_meta($post->ID, 'site_layout', true) ){
                        $layout_class = get_post_meta($post->ID, 'site_layout', true);
                }
                else{
                        $layout_class = of_get_option( 'site_layout' );
                }
                if( is_home() && is_sticky( $post->ID ) ){
                        $layout_class = of_get_option( 'site_layout' );
                }
                ?>
                <div class="row <?php echo $layout_class; ?>">
